Documentation: NexScrolltext Class Reference

| Documentation For Arduino users

- Main Page
- Related Pages
- Modules
- Classes
- Files
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
NexScrolltext Class Reference
Nextion Component

NexText component. More...

`#include <NexScrolltext.h>`

Inherits NexTouch.

## Public Member Functions

| NexScrolltext (uint8_t pid, uint8_t cid, const char *name)
| Constructor. More...
uint16_t | getText (char *buffer, uint16_t len)
| Get text attribute of component. More...
bool | setText (const char *buffer)
| Set text attribute of component. More...
uint32_t | Get_background_color_bco (uint32_t *number)
| Get bco attribute of component. More...
bool | Set_background_color_bco (uint32_t number)
| Set bco attribute of component. More...
uint32_t | Get_font_color_pco (uint32_t *number)
| Get pco attribute of component. More...
bool | Set_font_color_pco (uint32_t number)
| Set pco attribute of component. More...
uint32_t | Get_place_xcen (uint32_t *number)
| Get xcen attribute of component. More...
bool | Set_place_xcen (uint32_t number)
| Set xcen attribute of component. More...
uint32_t | Get_place_ycen (uint32_t *number)
| Get ycen attribute of component. More...
bool | Set_place_ycen (uint32_t number)
| Set ycen attribute of component. More...
uint32_t | getFont (uint32_t *number)
| Get font attribute of component. More...
bool | setFont (uint32_t number)
| Set font attribute of component. More...
uint32_t | Get_background_crop_picc (uint32_t *number)
| Get picc attribute of component. More...
bool | Set_background_crop_picc (uint32_t number)
| Set picc attribute of component. More...
uint32_t | Get_background_image_pic (uint32_t *number)
| Get pic attribute of component. More...
bool | Set_background_image_pic (uint32_t number)
| Set pic attribute of component. More...
uint32_t | Get_scroll_dir (uint32_t *number)
| Get dir attribute of component. More...
bool | Set_scroll_dir (uint32_t number)
| Set dir attribute of component. More...
uint32_t | Get_scroll_distance (uint32_t *number)
| Get dis attribute of component. More...
bool | Set_scroll_distance (uint32_t number)
| Set dis attribute of component. More...
uint32_t | Get_cycle_tim (uint32_t *number)
| Get tim attribute of component. More...
bool | Set_cycle_tim (uint32_t number)
| Set tim attribute of component. More...
Public Member Functions inherited from NexTouch
| NexTouch (uint8_t pid, uint8_t cid, const char *name)
| Constructor. More...
void | attachPush (NexTouchEventCb push, void *ptr=NULL)
| Attach an callback function of push touch event. More...
void | detachPush (void)
| Detach an callback function. More...
void | attachPop (NexTouchEventCb pop, void *ptr=NULL)
| Attach an callback function of pop touch event. More...
void | detachPop (void)
| Detach an callback function. More...
Public Member Functions inherited from NexObject
| NexObject (uint8_t pid, uint8_t cid, const char *name)
| Constructor. More...
void | printObjInfo (void)
| Print current object'address, page id, component id and name. More...

## Detailed Description

NexText component.

Definition at line 30 of file NexScrolltext.h.

## Constructor & Destructor Documentation

NexScrolltext::NexScrolltext | ( | uint8_t | pid,
|  | uint8_t | cid,
|  | const char * | name
| ) |  |

Constructor.

Parameters

  pid | - page id.
  cid | - component id.
  name | - pointer to an unique name in range of all components.

Definition at line 17 of file NexScrolltext.cpp.

## Member Function Documentation

uint32_t NexScrolltext::Get_background_color_bco | ( | uint32_t * | number | ) |

Get bco attribute of component.

Parameters

  number | - buffer storing data retur

Returns
  the length of the data

Definition at line 43 of file NexScrolltext.cpp.

uint32_t NexScrolltext::Get_background_crop_picc | ( | uint32_t * | number | ) |

Get picc attribute of component.

Parameters

  number | - buffer storing data retur

Returns
  the length of the data

Definition at line 183 of file NexScrolltext.cpp.

uint32_t NexScrolltext::Get_background_image_pic | ( | uint32_t * | number | ) |

Get pic attribute of component.

Parameters

  number | - buffer storing data retur

Returns
  the length of the data

Definition at line 211 of file NexScrolltext.cpp.

uint32_t NexScrolltext::Get_cycle_tim | ( | uint32_t * | number | ) |

Get tim attribute of component.

Parameters

  number | - buffer storing data retur

Returns
  the length of the data

Definition at line 296 of file NexScrolltext.cpp.

uint32_t NexScrolltext::Get_font_color_pco | ( | uint32_t * | number | ) |

Get pco attribute of component.

Parameters

  number | - buffer storing data retur

Returns
  the length of the data

Definition at line 71 of file NexScrolltext.cpp.

uint32_t NexScrolltext::Get_place_xcen | ( | uint32_t * | number | ) |

Get xcen attribute of component.

Parameters

  number | - buffer storing data retur

Returns
  the length of the data

Definition at line 99 of file NexScrolltext.cpp.

uint32_t NexScrolltext::Get_place_ycen | ( | uint32_t * | number | ) |

Get ycen attribute of component.

Parameters

  number | - buffer storing data retur

Returns
  the length of the data

Definition at line 127 of file NexScrolltext.cpp.

uint32_t NexScrolltext::Get_scroll_dir | ( | uint32_t * | number | ) |

Get dir attribute of component.

Parameters

  number | - buffer storing data retur

Returns
  the length of the data

Definition at line 238 of file NexScrolltext.cpp.

uint32_t NexScrolltext::Get_scroll_distance | ( | uint32_t * | number | ) |

Get dis attribute of component.

Parameters

  number | - buffer storing data retur

Returns
  the length of the data

Definition at line 265 of file NexScrolltext.cpp.

uint32_t NexScrolltext::getFont | ( | uint32_t * | number | ) |

Get font attribute of component.

Parameters

  number | - buffer storing data retur

Returns
  the length of the data

Definition at line 155 of file NexScrolltext.cpp.

uint16_t NexScrolltext::getText | ( | char * | buffer,
|  | uint16_t | len
| ) |  |

Get text attribute of component.

Parameters

  buffer | - buffer storing text returned.
  len | - length of buffer.

Returns
  The real length of text returned.

Definition at line 22 of file NexScrolltext.cpp.

bool NexScrolltext::Set_background_color_bco | ( | uint32_t | number | ) |

Set bco attribute of component.

Parameters

  number | - To set up the data

Returns
  true if success, false for failure

Definition at line 53 of file NexScrolltext.cpp.

bool NexScrolltext::Set_background_crop_picc | ( | uint32_t | number | ) |

Set picc attribute of component.

Parameters

  number | - To set up the data

Returns
  true if success, false for failure

Definition at line 193 of file NexScrolltext.cpp.

bool NexScrolltext::Set_background_image_pic | ( | uint32_t | number | ) |

Set pic attribute of component.

Parameters

  number | - To set up the data

Returns
  true if success, false for failure

Definition at line 220 of file NexScrolltext.cpp.

bool NexScrolltext::Set_cycle_tim | ( | uint32_t | number | ) |

Set tim attribute of component.

Parameters

  number | - To set up the data

Returns
  true if success, false for failure

Definition at line 305 of file NexScrolltext.cpp.

bool NexScrolltext::Set_font_color_pco | ( | uint32_t | number | ) |

Set pco attribute of component.

Parameters

  number | - To set up the data

Returns
  true if success, false for failure

Definition at line 81 of file NexScrolltext.cpp.

bool NexScrolltext::Set_place_xcen | ( | uint32_t | number | ) |

Set xcen attribute of component.

Parameters

  number | - To set up the data

Returns
  true if success, false for failure

Definition at line 109 of file NexScrolltext.cpp.

bool NexScrolltext::Set_place_ycen | ( | uint32_t | number | ) |

Set ycen attribute of component.

Parameters

  number | - To set up the data

Returns
  true if success, false for failure

Definition at line 137 of file NexScrolltext.cpp.

bool NexScrolltext::Set_scroll_dir | ( | uint32_t | number | ) |

Set dir attribute of component.

Parameters

  number | - To set up the data

Returns
  true if success, false for failure

Definition at line 247 of file NexScrolltext.cpp.

bool NexScrolltext::Set_scroll_distance | ( | uint32_t | number | ) |

Set dis attribute of component.

Parameters

  number | - To set up the data

Returns
  true if success, false for failure

Definition at line 274 of file NexScrolltext.cpp.

bool NexScrolltext::setFont | ( | uint32_t | number | ) |

Set font attribute of component.

Parameters

  number | - To set up the data

Returns
  true if success, false for failure

Definition at line 165 of file NexScrolltext.cpp.

bool NexScrolltext::setText | ( | const char * | buffer | ) |

Set text attribute of component.

Parameters

  buffer | - text buffer terminated with '\0'.

Returns
  true if success, false for failure.

Definition at line 32 of file NexScrolltext.cpp.

The documentation for this class was generated from the following files:

- NexScrolltext.h
- NexScrolltext.cpp